# ⎆⠀constructor

## IDLFileHandler. ⎆⠀constructor

#### new ⎆⠀constructor(Class)

The IDLFileHandler checks the SCHEMA value returned by the class type
of the supplied instance. If the resulting value is a Symbol, then the
handler's responsibility is to find the file, load it from disk and
provide various means of using its contents; i.e. as a Buffer, a String
or wrapped in a SyntaxTree instance.

##### Parameters:

Name | Type | Description
--- | --- | ---
`Class` | function | a function or class definition that presumably extends from GQLBase were it an instance.

Source:
  GQLBase.js, line 444